// GPIBlib_HP_3457A.h - HP 3457A Multimeter
// ========================================

// Multimeter functions.

#define DCV           1  // DC volts.
#define ACV           2  // AC volts.
#define ACDCV         3  // AC + DC volts.
#define OHM           4  // Resistance.
#define OHMF          5  // 4 wire resistance.
#define DCI           6  // DC current.
#define ACI           7  // AC current.
#define ACDCI         8  // AC + DC current.
#define FREQ          9  // Frequency.
#define PERIOD       10  // Period.

#define AUTO     (-1.0)

// C++ Class.

class Gpib_HP_3457A : public GpibInstrument
{
public:
  Gpib_HP_3457A( int address, int gpibif=0 );
  virtual ~Gpib_HP_3457A();
  bool check_open( void );

  bool set_function( int function, double vmax );
  bool set_fast_mode( bool acfast=false );
  bool clear_fast_mode( void );
  bool read_simple( double* meas );;

public:
  bool _hp3457a_opened;
  GpibHandle _hp3457a;

  int _function;        // Function.
  int _instrument_err;  // Error number returned from the 3457A.
};

